package com.jeequan.jeepay.pay.ctrl.zw;

import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
public class ZwPosRes {

    /** 业务响应码 **/
    private Integer code;

    /** 业务响应信息 **/
    private String message;

    /** 数据对象 **/
    private String uuid;

    public static ZwPosRes ing(String uuid, String message) {
        return new ZwPosRes(2, message, uuid);
    }

    public static ZwPosRes error(String uuid, String message) {
        return new ZwPosRes(1, message, uuid);
    }

    public static ZwPosRes success(String uuid, String message) {
        return new ZwPosRes(0, message, uuid);
    }

}
